<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>FuzzyBlockState.Builder (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FuzzyBlockState.Builder (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" target="_top">Frames</a></li>
<li><a href="FuzzyBlockState.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.block</div>
<h2 title="Class FuzzyBlockState.Builder" class="title">Class FuzzyBlockState.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.block.FuzzyBlockState.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">FuzzyBlockState.Builder</span>
extends java.lang.Object</pre>
<div class="block">Builder for FuzzyBlockState</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html#build--">build</a></span>()</code>
<div class="block">Builds a FuzzyBlockState from this builder.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html#reset--">reset</a></span>()</code>
<div class="block">Resets the builder.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html#type-com.sk89q.worldedit.world.block.BlockState-">type</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;state)</code>
<div class="block">The type of the Fuzzy BlockState</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html#type-com.sk89q.worldedit.world.block.BlockType-">type</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;type)</code>
<div class="block">The type of the Fuzzy BlockState</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html#withProperty-com.sk89q.worldedit.registry.state.Property-V-">withProperty</a></span>(<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;property,
            V&nbsp;value)</code>
<div class="block">Adds a property to the fuzzy BlockState</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="type-com.sk89q.worldedit.world.block.BlockType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a>&nbsp;type(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;type)</pre>
<div class="block">The type of the Fuzzy BlockState</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - The type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder, for chaining</dd>
</dl>
</li>
</ul>
<a name="type-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a>&nbsp;type(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;state)</pre>
<div class="block">The type of the Fuzzy BlockState</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - The state</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder, for chaining</dd>
</dl>
</li>
</ul>
<a name="withProperty-com.sk89q.worldedit.registry.state.Property-java.lang.Object-">
<!--   -->
</a><a name="withProperty-com.sk89q.worldedit.registry.state.Property-V-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withProperty</h4>
<pre>public&nbsp;&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a>&nbsp;withProperty(<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;property,
                                                V&nbsp;value)</pre>
<div class="block">Adds a property to the fuzzy BlockState</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>V</code> - The property type</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>property</code> - The property</dd>
<dd><code>value</code> - The value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder, for chaining</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState</a>&nbsp;build()</pre>
<div class="block">Builds a FuzzyBlockState from this builder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The fuzzy BlockState</dd>
</dl>
</li>
</ul>
<a name="reset--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState.Builder</a>&nbsp;reset()</pre>
<div class="block">Resets the builder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder, for chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/FuzzyBlockState.Builder.html" target="_top">Frames</a></li>
<li><a href="FuzzyBlockState.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
